MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031190Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2019-11-25 09:532021-04-03 12:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031190: Modeling Algorithms - progress indication in GeomPlate is inconsistent
DescriptionProgress indicator introduced in GeomPlate_BuildPlateSurface within 0029719 does not get incremented consistently within that class: the only place where it gets incremented is math_Gauss, however the latter can be called several times, and this is not taken into account in progress indication (first call will eat whole progress range).

The code needs to be reviwed to ensure that progress is incremented consistently. The test case is needed indeed.
Steps To Reproducetest bugs lowalgos progress A1
test bugs lowalgos progress A2
test bugs lowalgos progress A3
test bugs lowalgos progress A4
TagsNo tags attached.
Test case numberlowalgos/progress/A1,A2,A3,A4
Attached Files

- Relationships
related to 0025748closedabv Open CASCADE Foundation Classes - Parallel version of progress indicator 
child of 0029719closedRoman Lygin Community Modeling Algorithms - GeomPlate_BuildPlateSurface has no progress information and is not abortable 

-  Notes
(0094825)
msv (developer)
2020-09-15 12:59

The patch for 0025748 improves this behavior and now progress scale is correctly divided on different calls to math_Gauss (see the classes GeomPlate_BuildPlateSurface and Plate_Plate).

So, it is needed just to create some meaningful test case.
(0099831)
git (administrator)
2021-03-29 19:16

Branch CR31190 has been created by andrey.kaftasev_159541.

SHA-1: e2e2d11e381795b277dd9d1d83de62393f49c040


Detailed log of new commits:

Author: akaftasev
Date: Mon Mar 29 19:15:54 2021 +0300

    0031190: Modeling Algorithms - progress indication in GeomPlate is Adaptor3d_CurveOnSurface
    
    Added ability to display progress indicator in plate commands
    Added tests
(0099845)
akaftasev (developer)
2021-03-30 10:35

Branch for review:
OCCT - CR31190
(0099846)
akaftasev (developer)
2021-03-30 10:36

Results of testing:
http://jenkins-test-12.nnov.opencascade.com/view/CR31190-master-akaftasev/view/COMPARE/ [^]
(0099850)
kgv (developer)
2021-03-30 11:19

+    di << "Error: User break \n";

Please remove redundant space.

+foreach data ${ctr} {
+    if ![regexp $data $output] {

Please use 2 spaces indentation.

+# Testing attribute: GeomPlate_BuildPlateSurface

Please use "puts" for printing information about the test case.

+}
\ No newline at end of file

It is preferred putting a newline at the end of text files.
(0099856)
git (administrator)
2021-03-30 11:48

Branch CR31190 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: be68e43ff98f4b7ba7b55134c3e0fcfc03e815b1
(0099885)
msv (developer)
2021-03-30 16:00

Move new tests out of 'caf' category.
(0099939)
git (administrator)
2021-04-01 13:09

Branch CR31190 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 5ff2356f629e3d60beee78300f2b71c434266a61
(0099941)
kgv (developer)
2021-04-01 13:22

 #include <gp_Pnt.hxx>
+#include <Draw_ProgressIndicator.hxx>

Please prefer using alphabetical order while adding new headers.

+    di << "Error: UserBreak \n"

Please remove redundant space before newline.
(0099942)
git (administrator)
2021-04-01 13:23

Branch CR31190 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 304f235c9175d6548666a4f1713edf96bb9ae8da
(0099943)
git (administrator)
2021-04-01 13:25

Branch CR31190 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 4b7c1f1f945679588d17a3cc2ce02ebe355f331d
(0099948)
git (administrator)
2021-04-01 14:52

Branch CR31190 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: ad7418ba6796314c114d6ff86bd77846fbeb900b
(0099967)
git (administrator)
2021-04-01 19:21

Branch CR31190 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 84d69dcd3afe665bbbb4022ce967fcf24c9d1bab
(0099974)
msv (developer)
2021-04-01 21:40

For integration:
occt - CR31190
products - none
(0100023)
bugmaster (administrator)
2021-04-03 11:56

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100032)
git (administrator)
2021-04-03 12:49

Branch CR31190 has been deleted by inv.

SHA-1: 84d69dcd3afe665bbbb4022ce967fcf24c9d1bab

- Related Changesets
occt: master 00e9052b
Timestamp: 2021-03-29 16:15:54
Author: akaftasev
Committer: bugmaster
Details ] Diff ]
0031190: Modeling Algorithms - progress indication in GeomPlate is inconsistent

Added ability to display progress indicator in plate commands
Added tests
mod - src/BRepTest/BRepTest_FillingCommands.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/math/math_Recipes.cxx Diff ] File ]
mod - src/Plate/Plate_Plate.cxx Diff ] File ]
mod - tests/lowalgos/grids.list Diff ] File ]
add - tests/lowalgos/progress/A1 Diff ] File ]
add - tests/lowalgos/progress/A2 Diff ] File ]
add - tests/lowalgos/progress/A3 Diff ] File ]
add - tests/lowalgos/progress/A4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-11-25 09:53 abv New Issue
2019-11-25 09:53 abv Assigned To => msv
2019-11-25 09:53 abv Relationship added child of 0029719
2019-11-25 09:54 abv Relationship added related to 0025748
2020-09-15 12:49 msv Summary Modeling - progress indication in GeomPlate is inconsistent => Modeling Algorithms - progress indication in GeomPlate is inconsistent
2020-09-15 12:59 msv Note Added: 0094825
2020-09-15 12:59 msv Target Version 7.5.0 => 7.6.0*
2021-03-26 14:53 szy Assigned To msv => akaftasev
2021-03-26 14:53 szy Status new => assigned
2021-03-29 19:16 git Note Added: 0099831
2021-03-29 19:23 kgv Product Version => 7.4.0
2021-03-30 10:34 akaftasev Assigned To akaftasev => msv
2021-03-30 10:34 akaftasev Status assigned => resolved
2021-03-30 10:34 akaftasev Steps to Reproduce Updated View Revisions
2021-03-30 10:35 akaftasev Note Added: 0099845
2021-03-30 10:36 akaftasev Note Added: 0099846
2021-03-30 11:19 kgv Note Added: 0099850
2021-03-30 11:48 git Note Added: 0099856
2021-03-30 16:00 msv Note Added: 0099885
2021-03-30 16:00 msv Assigned To msv => akaftasev
2021-03-30 16:00 msv Status resolved => assigned
2021-04-01 13:09 git Note Added: 0099939
2021-04-01 13:11 akaftasev Assigned To akaftasev => msv
2021-04-01 13:11 akaftasev Status assigned => resolved
2021-04-01 13:11 akaftasev Steps to Reproduce Updated View Revisions
2021-04-01 13:22 kgv Note Added: 0099941
2021-04-01 13:23 git Note Added: 0099942
2021-04-01 13:23 akaftasev Steps to Reproduce Updated View Revisions
2021-04-01 13:25 git Note Added: 0099943
2021-04-01 14:52 git Note Added: 0099948
2021-04-01 19:21 git Note Added: 0099967
2021-04-01 21:40 msv Note Added: 0099974
2021-04-01 21:40 msv Assigned To msv => bugmaster
2021-04-01 21:40 msv Status resolved => reviewed
2021-04-03 11:56 bugmaster Note Added: 0100023
2021-04-03 11:56 bugmaster Status reviewed => tested
2021-04-03 12:05 bugmaster Test case number => lowalgos/progress/A1,A2,A3,A4
2021-04-03 12:13 bugmaster Changeset attached => occt master 00e9052b
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:49 git Note Added: 0100032


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker